libzypp 17.37.10

ResKind.cc File Reference
`#include <iostream>`
`#include <zypp/base/String.h>`
`#include <zypp/ResKind.h>`
`#include <zypp/ResTraits.h>`

Go to the source code of this file.

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Macros
#define | OUTS(K, S)

## Variables
template<>
const ResKind | zypp::ResTraits< Package >::kind (ResKind::package)
template<>
const ResKind | zypp::ResTraits< Patch >::kind (ResKind::patch)
template<>
const ResKind | zypp::ResTraits< Pattern >::kind (ResKind::pattern)
template<>
const ResKind | zypp::ResTraits< Product >::kind (ResKind::product)
template<>
const ResKind | zypp::ResTraits< SrcPackage >::kind (ResKind::srcpackage)
template<>
const ResKind | zypp::ResTraits< Application >::kind (ResKind::application)

## Macro Definition Documentation

## ◆ OUTS

#define OUTS | ( |  | K,
|  |  | S )

Value:
if ( !::strncmp( str_r, ResKind::K.c_str(), S ) && str_r[S] == ':' ) return ResKind::K